WinBase.PROCESS_INFORMATION (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, class: PROCESS_INFORMATION

Package com.sun.jna.platform.win32

# Class WinBase.PROCESS_INFORMATION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinBase.PROCESS_INFORMATION

Direct Known Subclasses:
  `WinBase.PROCESS_INFORMATION.ByReference`

Enclosing interface:
  WinBase

@FieldOrder({"hProcess","hThread","dwProcessId","dwThreadId"}) public static class WinBase.PROCESS_INFORMATION extends Structure
Contains information about a newly created process and its primary thread. It is used with the CreateProcess, CreateProcessAsUser, CreateProcessWithLogonW, or CreateProcessWithTokenW function.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinBase.PROCESS_INFORMATION.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.DWORD`
  `dwProcessId`
  A value that can be used to identify a process.
  `WinDef.DWORD`
  `dwThreadId`
  A value that can be used to identify a thread.
  `WinNT.HANDLE`
  `hProcess`
  A handle to the newly created process.
  `WinNT.HANDLE`
  `hThread`
  A handle to the primary thread of the newly created process.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PROCESS_INFORMATION()`
  `PROCESS_INFORMATION(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### hProcess

    public WinNT.HANDLE hProcess
    A handle to the newly created process. The handle is used to specify the process in all functions that perform operations on the process object.

  - ### hThread

    public WinNT.HANDLE hThread
    A handle to the primary thread of the newly created process. The handle is used to specify the thread in all functions that perform operations on the thread object.

  - ### dwProcessId

    public WinDef.DWORD dwProcessId
    A value that can be used to identify a process. The value is valid from the time the process is created until all handles to the process are closed and the process object is freed; at this point, the identifier may be reused.

  - ### dwThreadId

    public WinDef.DWORD dwThreadId
    A value that can be used to identify a thread. The value is valid from the time the thread is created until all handles to the thread are closed and the thread object is freed; at this point, the identifier may be reused.

- ## Constructor Details

  - ### PROCESS_INFORMATION

    public PROCESS_INFORMATION()

  - ### PROCESS_INFORMATION

    public PROCESS_INFORMATION(Pointer memory)